Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 187957 - media-sound/bmpx-0.40.0_rc3 should have more USE flags
Summary: media-sound/bmpx-0.40.0_rc3 should have more USE flags
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-06 23:05 UTC by Ingo Brunberg
Modified: 2007-08-08 16:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Brunberg 2007-08-06 23:05:50 UTC
bmpx-0.40.0_rc3 has far fewer USE flags than bmpx-0.36.1. The only one I am personally missing is the "ofa" flag. It pulls in a lot of dependencies I do not really like.

Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-08-07 06:19:30 UTC
Please, read the fine ChangeLog before filing bugs.
Comment 2 haehnke 2007-08-08 15:03:20 UTC
(In reply to comment #1)
> Please, read the fine ChangeLog before filing bugs.
> 

There are definitely USE flags missing. All gst-plugin-* dependencies are missing, so you are not able to play audio files. You have to install them separately.
Comment 3 Samuli Suominen gentoo-dev 2007-08-08 16:32:12 UTC
(In reply to comment #2)
> > Please, read the fine ChangeLog before filing bugs.
> There are definitely USE flags missing. All gst-plugin-* dependencies are
> missing, so you are not able to play audio files. You have to install them
> separately.

That's correct. They are optional runtime deps, and not required for building. So, when user added USE="speex" or whatever on, he was forced to rebuild bmpx without any reason and it's a 30 minute compile on my machine. So instead we leave it up to the user to install whatever plugins he wants, no rebuilding required.
Comment 4 Samuli Suominen gentoo-dev 2007-08-08 16:38:42 UTC
Added a message in end of installation..

        einfo
        elog "You have to install gst-plugins you want yourself,"
        elog "they are optional runtime depends."
        einfo